// Twee tekstvakken om positieve hele getallen in te voeren.
// Na klikken op de knop worden de som en het verschil getoond.
// De applet mag alleen positieve hele getallen accepteren.

import java.applet.*;
import java.awt.*;
import java.awt.event.*;
public class Opdracht10_1 extends Applet {
   TextField vak1 = new TextField (8);
   TextField vak2 = new TextField (8);
   Button knop = new Button ("klik");
   boolean juisteGetallen = false;
   int getal1, getal2;

   public void init () {
      add (vak1);
      add (vak2);
      add (knop);
   }
   public void paint (Graphics g) {
      int som = getal1 + getal2;
      int verschil = getal1 - getal2;
      if (verschil < 0)
         verschil = -verschil;
      // Korter is:
      // int verschil = Math.abs (getal1 - getal2);
      String temp = getal1 + " en " + getal2 + " is: ";
      if (juisteGetallen) {
         g.drawString ("De som van " + temp + som, 20, 100);
         g.drawString ("Het verschil tussen " + temp + verschil, 20, 150);
      }
      else
         g.drawString ("Voer 2 positieve hele getallen in en klik.",20,100);
   }

   int haalIntUitVak (TextField tekstVak)  {
      int n = -1;
      String tmp = tekstVak.getText();
      try  {
          n = Integer.parseInt (tmp);
      } catch (NumberFormatException exc) { }
      return n;
   }

   public boolean  action (Event e, Object o) {
      if (e.target==knop) {
         getal1 = haalIntUitVak (vak1);
         getal2 = haalIntUitVak (vak2);
         if (getal1<0 || getal2<0)
            juisteGetallen = false;
         else
            juisteGetallen = true;
        // Korter, maar ook correct is:
        // juisteGetallen = (getal1>=0 && getal2>=0);
        repaint();
      }
     return true;
   }
}
