// In een tekstvak wordt een zin getypt. Na indrukken 
// van de enter-toets wordt het tekstvak leeggemaakt
// en wordt de zin opnieuw getoond en wordt meegedeeld
// hoeveel klinkers (a, e, i , o, u) de zin bevat.

import java.applet.*;
import java.awt.*;
import java.awt.event.*;
public class Opdracht11_1 extends Applet
                  implements ActionListener {
   TextField vak = new TextField (25);
   boolean begin = true;
   String zin;

   public void init () {
      add (vak);
      vak.addActionListener (this);
   }

   public void paint (Graphics g) {
      if (begin)
         g.drawString ("Tik een zin in en druk op <enter>", 50, 100);
      else {
         g.drawString ("De zin: " + zin, 50, 80);
         g.drawString ("Aantal klinkers: " + aantalKlinkers (zin), 50, 140);         
      }
      vak.requestFocus(); // om de cursor in het invoervak te zetten
   }

  int aantalKlinkers (String s) {
      int aantal = 0;
      char klinkers[] = {'a','e','i','o','u','A','E','I','O','U'};
      for (int i=0; i<s.length(); i++)
         for (int n=0; n<klinkers.length; n++)
            if (s.charAt(i)==klinkers[n])
               aantal++;
      return aantal;
   }

   public void actionPerformed (ActionEvent evt) {
      begin = false;
      zin = vak.getText();
      repaint();
   }
}
