// Een applet waarin een punt dat wordt aangeklikt
// via een lijn met het laatste punt wordt verbonden.
// Klikken op een reset-vlak herstart het programma.

import java.awt.event.*;
import java.applet.*;
import java.awt.*;
public class Opdracht11_2 extends Applet implements MouseListener {
   int x1, x2, y1, y2;
   boolean reset = true;

   public void init () {
      setBackground(Color.white);
      nieuw(getGraphics());
      addMouseListener(this);
   }

   void nieuw(Graphics g) {
      g.setColor (Color.white);
      g.fillRect (0,0,320,240);
      x1=40; x2=40; y1=20; y2=20;
   }

   public void paint (Graphics g) {
      if (reset) {
         nieuw(g);
         reset = false;
      }
      else
         g.drawLine (x1, y1, x2, y2);
      g.setColor (Color.yellow);
      g.fillRect (0,0,40,20);
      g.setColor (Color.black);
      g.drawString ("reset",5,10);
   }

   public void mousePressed(MouseEvent me){
      x2 = x1; // bewaar de coordinaten
      y2 = y1; // van het laatste punt
      x1 = me.getX();
      y1 = me.getY();
      if (x1<40 && y1<20)
         reset = true;
      repaint();
   }

   public void update (Graphics g) {
      // deze eigen versie van paint veegt niets uit.
      paint(g);
   }

   public void mouseMoved (MouseEvent me) {}
   public void mouseClicked (MouseEvent me) {}
   public void mouseEntered (MouseEvent me) {}
   public void mouseExited (MouseEvent em) {}
   public void mouseReleased (MouseEvent em) {}
}


