// Een applet waarin een rechthoek getekend wordt,
// waarvan breedte en hoogte bepaald worden door
// getallen ingevoerd in twee tekstvakken.
// De applet moet signaleren als de ingevoerde maten te
// groot zijn om een rechthoek in het venster te tekenen.

import java.applet.*;
import java.awt.*;
import java.awt.event.*;
public class Opdracht13_2 extends Applet
                       implements ActionListener {
   Label brLab=new Label("breedte:"), hoLab=new Label("hoogte:");
   TextField vakBr = new TextField (3);
   TextField vakHo = new TextField (3);
   Button knop = new Button ("klik");
   boolean juisteGetallen = false;
   int br, ho;

   public void init () {
      add (brLab);
      add (vakBr);
      add (hoLab);
      add (vakHo);
      add (knop);
      knop.addActionListener(this);
   }
   public void paint (Graphics g) {
      String melding = "Voer 2 positieve hele getallen in en klik.";
      Dimension d = getSize();
      int winBr = d.width, winHo = d.height;
      if (br>winBr || ho>winHo) {
         juisteGetallen = false;
         melding = "Ingevoerde maten te groot voor venster.";
      }
      if (juisteGetallen)
         g.drawRect ((winBr-br)/2, (winHo-ho)/2, br, ho);
      else
         g.drawString (melding, 20, 100);
   }

   int haalIntUitVak (TextField tekstVak)  {
      int n = -1;
      String tmp = tekstVak.getText();
      try  {
          n = Integer.parseInt (tmp);
      } catch (NumberFormatException exc) { }
      return n;
   }

   public void actionPerformed (ActionEvent evt) {
      br = haalIntUitVak (vakBr);
      ho = haalIntUitVak (vakHo);
      if (br<0 || ho<0)
         juisteGetallen = false;
      else
         juisteGetallen = true;
      // Korter, maar ook correct is:
      // juisteGetallen = (br>=0 && ho>=0);
      repaint();
   }
}
