// Een applet waarin een rechthoek getekend wordt,
// waarvan breedte en hoogte bepaald worden door
// parameters die vermeld staan in het html-bestand.
// De applet moet signaleren als de ingevoerde maten
// geen rechthoek in het venster laten tekenen.

import java.applet.*;
import java.awt.*;
import java.awt.event.*;
public class Opdracht13_3 extends Applet {
   boolean juisteGetallen = true;
   int br, ho;

   public void init () {
      try  {
          br = Integer.parseInt (getParameter("HTMLbreedte"));
          ho = Integer.parseInt (getParameter("HTMLhoogte"));
      } catch (NumberFormatException exc) { juisteGetallen = false;}
   }

   public void paint (Graphics g) {
      Dimension d = getSize();
      int winBr = d.width, winHo = d.height;
      if (br>winBr || ho>winHo || br<0 || ho<0)
         juisteGetallen = false;
      if (juisteGetallen)
         g.drawRect ((winBr-br)/2, (winHo-ho)/2, br, ho);
      else
         g.drawString ("geen juiste informatie in HTML-bestand.", 20, 100);
   }
}
