/*  Opdracht 7.3
    Schrijf een applet waarin een postcode kan worden
    ingevoerd van 4 cijfers en twee letters (zonder
    spaties). De applet deelt hierna mee of de postcode
    correct is of niet.
*/

import java.applet.*;
import java.awt.*;
public class Opdracht7_3 extends Applet {
   TextField vak = new TextField (10);
   Button knop = new Button ("controleer");
   String tekst = "Voer een postcode (zonder spaties) in, en klik";

   public void init () {
      add (vak);
      add (knop);
   }

   public void paint (Graphics g) {
      g.drawString (tekst, 30, 150);
   }

   public boolean action (Event e, Object o) {
      if (e.target == knop) {
         boolean correct = true;
         String s = vak.getText();
         // Kleine letters omzetten in hoofdletters
         s = s.toUpperCase();
         if (s.length() != 6)
            correct = false;
         for (int i=0; i<s.length(); i++) {
            char k = s.charAt (i);
            if (i>=0 && i<4) {
               if (k<'0' || k>'9')
                  correct = false;
            }
            else
               if (k<'A' || k>'Z')
                  correct = false;
         }
         if (correct)
            tekst = "Dit is een correcte postcode.";
         else
            tekst = "Deze postcode is niet correct.";
         repaint();
         return true;
      }
      return false;
   }
}



/*  Deze uitwerking hoort bij Internet-cursus
    'Schrijven van Java applets' door Tom Luif,
    Deze cursus staat op 'Tom's Homepage'
    (C) 2003, Thomas J.H. Luif
    Gedeeltelijke of gehele overname van deze cursus
    zonder voorafgaande schriftelijke toestemming van
    de auteur is niet toegestaan.
*/

