/*  Opdracht 9.2
    Maak een applet waarin je een getal van 1 t/m 12 kunt
    intikken. Na klikkken op de knop wordt meegedeeld met
    welke maand dit getal overeenkomt. Bij andere getallen
    verschijnt de mededeling dat dit geen maand is.
*/

import java.applet.*;
import java.awt.*;
public class Opdracht9_2 extends Applet {
   TextField vak = new TextField (4);
   Button knop = new Button ("klik");
   String tekst = "Tik het nummer van een maand in en klik";
   String maanden[] = {"", "januari", "februari",
      "maart", "april", "mei", "juni", "juli", "augustus",
      "september", "oktober", "november", "december"};

   public void init () {
      add (vak);
      add (knop);
   }

   public void paint (Graphics g) {
      g.drawString (tekst, 40, 160);
   }

   public boolean action (Event e, Object o) {
      int nr = 0;
      if (e.target == knop) {
         String s = vak.getText();
         try {
            nr = Integer.parseInt(s);
         }
         catch (java.lang.NumberFormatException exc) {}
         if (nr>0 && nr<=12)
            tekst = s+" is maand "+maanden[nr]+".";
         else
            tekst = s+" is geen nummer van een maand.";
         repaint();
         return true;
      }
      return false;
   }
}


/*  Deze uitwerking hoort bij Internet-cursus
    'Schrijven van Java applets' door Tom Luif,
    Deze cursus staat op 'Tom's Homepage'
    (C) 2003, Thomas J.H. Luif
    Gedeeltelijke of gehele overname van deze cursus
    zonder voorafgaande schriftelijke toestemming van
    de auteur is niet toegestaan.
*/

